PHY_START_MACHINE(9)

NAME
phy_start_machine - start PHY state machine tracking

SYNOPSIS

void phy_start_machine(struct phy_device * phydev);

ARGUMENTS

phydev
    the phy_device struct

DESCRIPTION

The PHY infrastructure can run a state machine which tracks whether the PHY is starting up, negotiating, etc. This function starts the timer which tracks the state of the PHY. If you want to maintain your own state machine, do not call this function.

COPYRIGHT